## ros-kinetic-jsk-footstep-controller 0.1.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_footstep_controller)

find_package(catkin REQUIRED COMPONENTS
  jsk_footstep_msgs
  dynamic_reconfigure
  jsk_footstep_planner
  actionlib_msgs
  jsk_pcl_ros
  tf_conversions
  std_msgs
  message_generation genmsg message_filters sensor_msgs geometry_msgs tf jsk_topic_tools
  eigen_conversions
  kdl_parser
  kdl_conversions
  urdf
)

generate_dynamic_reconfigure_options(
  cfg/FootstepVisualizer.cfg)

add_message_files(FILES
  GroundContactState.msg FootCoordsLowLevelInfo.msg SynchronizedForces.msg)

add_service_files(FILES
  RequireLog.srv RequireMonitorStatus.srv)

add_action_files(
  DIRECTORY action
  FILES LookAroundGround.action GoPos.action
)
generate_messages(
  DEPENDENCIES actionlib_msgs std_msgs geometry_msgs sensor_msgs)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES jsk_footstep_controller
 CATKIN_DEPENDS jsk_footstep_msgs jsk_footstep_planner message_filters sensor_msgs geometry_msgs tf jsk_topic_tools
#  DEPENDS system_lib
)
include_directories(include ${catkin_INCLUDE_DIRS})
add_executable(footcoords src/footcoords.cpp)
target_link_libraries(footcoords ${catkin_LIBRARIES})
add_dependencies(footcoords ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_gencpp)

install(TARGETS footcoords
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


install(DIRECTORY euslisp launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-kinetic-jsk-footstep-controller (0.1.14-0xenial) xenial; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 15 Jan 2018 00:00:00 -0000

ros-kinetic-jsk-footstep-controller (0.1.13-0xenial) xenial; urgency=high

  * CMakeLists.txt : fix typo on install DESTINATION
  * [jsk_footstep_controller] prevent too large footstep refine
  * [jsk_footstep_controller] add utilitiy functions and update for footstep_planner
  * [jsk_footstep_controller] add keyword for sample footstep client
  * [jsk_footstep_contorller] Do not publish odom tf when publish_odom_tf param is false
  * [jsk_footstep_contorller] Update footstep params for JAXON
  * Contributors: Kei Okada, Yohei Kakiuchi, Iori Kumagai

 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 18 Apr 2017 00:00:00 -0000

ros-kinetic-jsk-footstep-controller (0.1.12-0xenial) xenial; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 22 Feb 2017 00:00:00 -0000

ros-kinetic-jsk-footstep-controller (0.1.11-0xenial) xenial; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 09 Feb 2017 00:00:00 -0000

ros-kinetic-jsk-footstep-controller (0.1.10-0xenial) xenial; urgency=high

  * [jsk_footstep_controlelr/euslisp/util.l] Add function to gen pointcloud from face list
  * [jsk_footstep_controller/euslisp/util.l] Set lfoot rfoot offset based on robot model.
  * [jsk_footstep_controller/euslisp/util.l] Add function to get pointcloud included in bodies
  * [jsk_footstep_controller/euslisp/util.l,jsk_footstep_planner/euslisp/footstep-planner-client-sample.l] Move footstep action client utility to util.l and rename functions.
  * [jsk_footstep_controller] Use plane_projection in footstep_makrer
  * [jsk_Footstep_controller] floor detection does not need x/y filter
  * [jsk_footstep_controller] Use plane_projection when overwriting go-pos goal
  * [jsk_footstep_planner] Add option to wait to subscribe plane topic
  * [jsk_footstep_controller] Add plane_projection option, which projects footsteps onto subscribed planes
  * [jsk_footstep_controller] Add use_snapshot option for detected floor coefficients topic
  * [jsk_footstep_controller] Modified stabilizer_watcher's
  * [jsk_footstep_controller] fix go-pos-server.l
  * [jsk_footstep_controller] Rename old :is-walking method, which is used for overwrite decision
  * [jsk_footstep_controller] Use feedback from go-pos-server to get go-pos-server status from client
  * [jsk_footstep_controller] Publish feedback just after planning is failed
  * [jsk_footstep_controller] add go-pos-server/client
  * [jaxon-footstep-controller.l] move util functions to util.l and refactor functions
  * [jsk_footstep_controller] remove temporary file
  * [jsk_footstep_controller] Add height_offset param to consider crane and so on
  * [jsk_footstep_controller] print name of foot
  * [jsk_footstep_controller] print messages when collide footsteps
  * [jsk_footstep_controller] Modify footstep collision avoidance in jaxon-footstep-controller.l
  * [jsk_footstep_controller] Add instant collision avoidance for refined footsteps
  * [jsk_footstep_planner] update footstep_marker for appending footsteps continuously
  * [jsk_footstep_controller, footcoords] fix for using waitForSensorFrameTransformation
  * [jsk_footstep_planner] Add simple launch file to extract floor and estimate its parameters
  * [jsk_footstep_controller] new jsk_recognition_utils::Plane() causes eigen alignment issues in 32bit environment
  * [jsk_footstep_planner] project odom_init to detected floor plane (default is z = 0)
  * [jsk_footstep_controller] Add footstep-controller euslisp script for jaxon
  * Contributors: Iori Kumagai, Shunichi Nozawa, Yohei Kakiuchi, Juntaro Tamura

 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 15 Dec 2016 00:00:00 -0000

ros-kinetic-jsk-footstep-controller (0.1.9-0xenial) xenial; urgency=high

  * remove dynamic_reconfigure.parameter_generator, which only used for rosbuild
  * [jsk_footstep_controller] Add footstep-controller euslisp script for jaxon
  * [jsk_footstep_controller] Publish robot_bbox only when analysis_level is whole_links
  * [footstep_visualizer] Call st only once
  * [footstep_visualizer] Support dynamic_reconfigure API
    to toggle which point to draw.
    And fix some error about tf conversion and nan computation
  * [jsk_footstep_controller] Wait for st service to be available
  * [jsk_footstep_controller] Ignore error in footstep_visualizer
  * [jsk_footstep_controller] Add use_footcoords option to select whether footcoords is used or not
  * [jsk_robot_startup] Forgot timestamp
  * [jsk_footstep_controller] Publish odom_init as transform and pose_stamped when odom_init is updated
  * [jsk_footstep_controller/footstep_visualizer] get leg_vertices from StabilizerService param
  * [jsk_footstep_controller] Fix indent of stabilizer_watcher.py
  * [jsk_footstep_controller/stabilizer_watcher] Do not call service call to hrpsys,
    use /act_contact_states topic to detect st status
  * [jsk_footstep_controller/footstep_visualizer] Fix zmp location by taking
    into account z componrnt.
    closes #518
  * [jsk_footstep_planner/footstep_visualizer] Fix indent
  * [jsk_footstep_controller] Draw Convex Hull of Support Polygon
  * [jsk_footstep_controller/footstep_visualizer] Add Reference capture point and Actual capture point
    and draw text
  * [jsk_footstep_planner] Fix skip_cropping=true behavior
  * Contributors: Kei Okada, Ryohei Ueda, Yuta Kojio, Iori Kumagai

 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 23 Mar 2016 00:00:00 -0000

ros-kinetic-jsk-footstep-controller (0.1.8-0xenial) xenial; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 02 Nov 2015 00:00:00 -0000

ros-kinetic-jsk-footstep-controller (0.1.7-0xenial) xenial; urgency=high

  * [jsk_footstep_controller] Fix typo: init_odom -> odom_init
  * [jsk_footstep_controller] Updated README.md for init_odom
  * [jsk_footstep_controller] Fix model file loading


=== debian/control ===
Source: ros-kinetic-jsk-footstep-controller
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <garaemon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-genmsg, ros-kinetic-geometry-msgs, ros-kinetic-jsk-footstep-msgs, ros-kinetic-jsk-footstep-planner, ros-kinetic-jsk-pcl-ros, ros-kinetic-jsk-topic-tools, ros-kinetic-kdl-conversions, ros-kinetic-kdl-parser, ros-kinetic-message-filters, ros-kinetic-message-generation, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-tf-conversions, ros-kinetic-tf2, ros-kinetic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-jsk-footstep-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-genmsg, ros-kinetic-geometry-msgs, ros-kinetic-jsk-footstep-msgs, ros-kinetic-jsk-footstep-planner, ros-kinetic-jsk-pcl-ros, ros-kinetic-jsk-topic-tools, ros-kinetic-kdl-conversions, ros-kinetic-kdl-parser, ros-kinetic-message-filters, ros-kinetic-message-generation, ros-kinetic-sensor-msgs, ros-kinetic-sound-play, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-tf-conversions, ros-kinetic-tf2, ros-kinetic-urdf
Description: The jsk_footstep_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-jsk-footstep-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
